/* 
Theme Name: His Favourite
Description: This is a child theme of Hello Elementor for His Favourite, created by Candlelight Websites
Author: Candlelight Websites
Author URI: https://lightyourway.co.za
Template: hello-elementor
Version: 1.0.1
*/

.grecaptcha-badge,
.tinv-wishlist .tinv-modal-inner i[class^="icon"] {
	display: none !important;
}

ol.wp-block-list + p,
ul.wp-block-list + p {
	margin-top: 1.6em;
}

ol.wp-block-list li + li,
ul.wp-block-list li + li {
	margin-top: 0.7em;
}

/*** Woocommerce Notifications ***/
.woocommerce .woocommerce-notices-wrapper a,
.woocommerce .woocommerce-form-login-toggle a,
.woocommerce .woocommerce-form-coupon-toggle a{
	color: var(--e-global-color-text);
}

/*** Reset Password ***/
body.woocommerce-lost-password .elementor-widget-woocommerce-my-account {
	width: 100%;
}
body.woocommerce-lost-password form.woocommerce-ResetPassword.lost_reset_password {
	border-width: 0px !important;
    padding: 0 !important;
}

/*** Base Button ***/
body.tinvwl-theme-style .product-action button[name="tinvwl-add-to-cart"],
body.tinvwl-theme-style button[name="tinvwl-action-product_apply"], 
body.tinvwl-theme-style button[name="tinvwl-action-product_selected"],
body.tinvwl-theme-style button[name="tinvwl-action-product_all"],
a.tinvwl_add_to_wishlist_button,
body.woocommerce a.add_to_cart_button,
body.woocommerce button.single_add_to_cart_button,
body .woocommerce button.button.alt,
body.woocommerce button.single_add_to_cart_button.disabled,
.tinv-wishlist .tinv-modal-inner .tinvwl-buttons-group button,
.wp-block-button a.wp-block-button__link,
.woocommerce .woocommerce-form-login button.woocommerce-form-login__submit,
.woocommerce .woocommerce-form-coupon button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button {
    font-family: "HF Poppins", Sans-serif;
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.5px;
	line-height: 1em;
	transition: all .3s;
	padding: 12px 24px;
	border-radius: 0px 0px 0px 0px;
}

/*** Button Small ***/
a.tinvwl_add_to_wishlist_button {
	font-size: 13px !important;
	padding: 6px 12px !important;
}

/*** Primary Button **/
body.tinvwl-theme-style .product-action button[name="tinvwl-add-to-cart"],
body.woocommerce a.add_to_cart_button,
body.woocommerce button.single_add_to_cart_button,
body .woocommerce button.button.alt,
body.woocommerce button.single_add_to_cart_button.disabled,
.tinv-wishlist .tinv-modal-inner .tinvwl-buttons-group button,
.wp-block-button a.wp-block-button__link,
.woocommerce .woocommerce-form-login button.woocommerce-form-login__submit,
.woocommerce .woocommerce-form-coupon button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button {
	background-color: var(--e-global-color-secondary);
    color: var(--e-global-color-primary);
	fill: var(--e-global-color-primary);
	border-color: var(--e-global-color-secondary);
}

/*** Secondary Button **/
body.tinvwl-theme-style button[name="tinvwl-action-product_apply"], 
body.tinvwl-theme-style button[name="tinvwl-action-product_selected"],
body.tinvwl-theme-style button[name="tinvwl-action-product_all"] {
    background-color: var(--e-global-color-9483aa4);
    color: var(--e-global-color-primary);
	fill: var(--e-global-color-9483aa4);
    border-color: var(--e-global-color-9483aa4);
}

/*** Button Hover ***/
body.tinvwl-theme-style .product-action button[name="tinvwl-add-to-cart"]:hover,
body.tinvwl-theme-style button[name="tinvwl-action-product_apply"]:hover, 
body.tinvwl-theme-style button[name="tinvwl-action-product_selected"]:hover,
body.tinvwl-theme-style button[name="tinvwl-action-product_all"]:hover,
body.woocommerce a.tinvwl_add_to_wishlist_button:hover, 
body.woocommerce a.add_to_cart_button:hover,
body.woocommerce button.single_add_to_cart_button:hover,
body .woocommerce button.button.alt:hover,
body.woocommerce button.single_add_to_cart_button.disabled:hover,
.tinv-wishlist .tinv-modal-inner .tinvwl-buttons-group button:hover,
.wp-block-button a.wp-block-button__link:hover,
.woocommerce .woocommerce-form-login button.woocommerce-form-login__submit:hover,
.woocommerce .woocommerce-form-coupon button.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button:hover {
	background-color: var(--e-global-color-primary);
	color: var(--e-global-color-de621e7);
	fill: var(--e-global-color-de621e7);
	border-color: var(--e-global-color-primary);
}

body .woocommerce form .form-row .input-text,
body .woocommerce form .form-row select,
body .select2-container .select2-dropdown,
body .select2-container .select2-selection{
	border-color: var(--e-global-color-8c27f16);
}

.tinv-wishlist .social-buttons {
	color: var(--e-global-color-text);
}
.tinv-wishlist .social-buttons a.social {
	color: var(--e-global-color-primary);
	transition: all .3s;
}
.tinv-wishlist .social-buttons a.social:hover {
	color: var(--e-global-color-secondary);
}
.tinv-wishlist .tinv-modal-inner:before {
	content:'';
	background: url(https://hisfavourite.com/2025/wp-content/uploads/2025/07/his_fav_iconography-heart.webp) no-repeat center center;
	background-size: contain;
	width: 40px;
	height: 40px;
	position: absolute;
	top: 20px;
	left: 50%;
    transform: translateX(-50%);
}
.tinv-wishlist .tinv-modal-inner .tinv-txt {
	padding-top: 30px;
}
.tinv-wishlist .tinv-modal-inner .tinvwl-buttons-group button {
	display: flex;
	align-items: center;
	justify-content: center;
}
.tinv-wishlist .tinv-modal-inner .tinvwl-buttons-group button i:before {
	top: 0 !important;
}

input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
	border-radius: 0;
	border-color: var(--e-global-color-text);
}

body:not(.category-the-bow-shop) #section-hrv{
	display: none !important;
}

/****Christa code****/

/* align all woocommerce product titles ************* */
    .woocommerce-loop-product__title {
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 2;
overflow: hidden;
height: 80px;
    }
/* Media Query for Laptops and Desktops */
    @media (min-width: 768px) {
    .woocommerce-loop-product__title {
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 2;
overflow: hidden;
height: 60px;
}
    } 
}
/****Christa code ends****/